Loading...
Searching...
No Matches
dolfin::GraphBuilder Class Reference

This class builds a Graph corresponding to various objects. More...

`#include <GraphBuilder.h>`

## Static Public Member Functions

static Graph | local_graph (const Mesh &mesh, const GenericDofMap &dofmap0, const GenericDofMap &dofmap1)
| Build local graph from dofmap.
static Graph | local_graph (const Mesh &mesh, const std::vector< std::size_t > &coloring_type)
| Build local graph from mesh (general version).
static Graph | local_graph (const Mesh &mesh, std::size_t dim0, std::size_t dim1)
| Build local graph (specialized version).
static std::pair< std::int32_t, std::int32_t > | compute_dual_graph (const MPI_Comm mpi_comm, const boost::multi_array< std::int64_t, 2 > &cell_vertices, const CellType &cell_type, const std::int64_t num_global_vertices, std::vector< std::vector< std::size_t > > &local_graph, std::set< std::int64_t > &ghost_vertices)

## Friends

class | MeshPartitioning

## Detailed Description

This class builds a Graph corresponding to various objects.

## Member Function Documentation

## compute_dual_graph()

std::pair< std::int32_t, std::int32_t > GraphBuilder::compute_dual_graph | ( | const MPI_Comm | mpi_comm,
|  | const boost::multi_array< std::int64_t, 2 > & | cell_vertices,
|  | const CellType & | cell_type,
|  | const std::int64_t | num_global_vertices,
|  | std::vector< std::vector< std::size_t > > & | local_graph,
|  | std::set< std::int64_t > & | ghost_vertices )

static

Build distributed dual graph (cell-cell connections) from minimal mesh data, and return (num local edges, num non-local edges)

The documentation for this class was generated from the following files:

- /build/dolfin-wwk1CC/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/graph/GraphBuilder.h
- /build/dolfin-wwk1CC/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/graph/GraphBuilder.cpp